<!DOCTYPE html>
<html lang="en">

<head>
    <title>Login - Dokumenta</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <link rel="icon" type="image/ico" href="{{ url_for('static', filename='favicon.ico') }}">

    <link rel="stylesheet" href="{{ url_for('static', filename='vendors/mdi/css/materialdesignicons.min.css') }}">
    <link rel="stylesheet" href="{{ url_for('static', filename='css/style.css') }}">

    <script>
        var token = localStorage.getItem('token');

        if (token !== null) {
            // Redirects to the main page if the user is already logged in.
            window.location.replace("/");
        }

    </script>
</head>

<body>
    <div class="container-scroller">
        <div class="container-fluid page-body-wrapper full-page-wrapper">
            <div class="row w-100 m-0">
                <div class="content-wrapper full-page-wrapper d-flex align-items-center auth login-bg">
                    <div class="card col-lg-4 mx-auto" style="border: none;">
                        <div class="card-body px-5 py-5">
                            <div class="text-center">
                                <img class="img-fluid mb-5" src="{{ url_for('static', filename='images/logo.svg') }}" alt="Logo">
                            </div>
                            <h3 class="card-title text-left mb-3">Login</h3>
                            <div class="alert alert-danger error-message" role="alert" style="display: none;">
                                EMPTY
                            </div>
                            <form>
                                <div class="form-group">
                                    <label>Username *</label>
                                    <input type="text" class="form-control p_input" id="usernameInput" placeholder="Username">
                                </div>
                                <div class="form-group">
                                    <label>Password *</label>
                                    <input type="password" class="form-control p_input" id="passwordInput" placeholder="****************">
                                </div>
                                <div class="text-center">
                                    <button class="btn btn-primary btn-block enter-btn" id="loginButton" type="button">Login</button>
                                </div>
                            </form>
                            <a class="text-secondary" href="/docs/v1" target="_blank">API Documentation</a>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <script src="{{ url_for('static', filename='js/vendor.bundle.base.js') }}"></script>
    <script src="{{ url_for('static', filename='js/misc.js') }}"></script>
    <script src="{{ url_for('static', filename='js/axios.min.js') }}"></script>
    <script>
        $('input').change(function () {
            // Hides error message.
            $('.error-message').hide();
        });
        $('input').keydown(function () {
            // Hides error message.
            $('.error-message').hide();
        });

        $('#loginButton').click(function () {
            username = $('#usernameInput').val();
            password = $('#passwordInput').val();

            // Sends the request to the API.
            axios.post('/api/v1/auth/login', {}, {
                headers: {
                    Authorization: "Basic " + btoa(username + ":" + password)
                }
            }).then(function (response) {
                if (response.data.user.role.name != "admin") {
                    // The user is not an administrator.
                    $('.error-message').show();
                    $('.error-message').text("You do not have the required rights.");
                    return;
                }

                // Stores the connection token in the local storage.
                localStorage.setItem('token', response.data.token);
                localStorage.setItem('user', JSON.stringify(response.data.user));
                window.location.replace("/");
            }).catch(function (error) {
                // Shows an error message.
                $('.error-message').show();
                $('.error-message').text(error.response.data.message);
            });
        });

    </script>
</body>

</html>
